Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xmltorng.i2s.util
Class PatternFactory

    java.lang.Object
      xmltorng.i2s.util.PatternFactory

    public abstract class PatternFactory

extends java.lang.Object

Constructor Summary
`PatternFactory()`

Method Summary
`static NonEmptyPattern` | `anyPattern()`
`static NonEmptyPattern` | `choice(NonEmptyPattern[] patterns, boolean isOptional)`
`static NonEmptyPattern` | `choiceFromNames(java.util.Map fromNameToElementDefinition, java.util.Set names)`
`static NonEmptyPattern` | `choiceFromNames(java.util.Map fromNameToElementDefinition, java.util.Set names, boolean isOptional)`
`static NonEmptyPattern` | `choiceFromRepeatableNames(java.util.Map fromNameToElementDefinition, java.util.Map fromNameToRepeatable)`
`static NonEmptyPattern` | `choiceFromRepeatableNames(java.util.Map fromNameToElementDefinition, java.util.Map fromNameToRepeatable, boolean isOptional)`
`static Pattern` | `emptyPattern()`
`static NonEmptyPattern` | `group(NonEmptyPattern[] patterns)`
`static NonEmptyPattern` | `interleave(NonEmptyPattern[] patterns)`
`static NonEmptyPattern` | `namedAttribute(Name attributeName)`
`static NonEmptyPattern` | `namedAttribute(Name attributeName, boolean isOptional)`
`static NonEmptyPattern` | `namedElement(java.util.Map fromNameToElementDefinition, Name name)`
`static NonEmptyPattern` | `namedElement(java.util.Map fromNameToElementDefinition, Name name, boolean isRepeatable)`
`static NonEmptyPattern` | `textPattern()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternFactory

    public PatternFactory()

Method Detail

### anyPattern

    public static final NonEmptyPattern anyPattern()

### emptyPattern

    public static final Pattern emptyPattern()

### textPattern

    public static final NonEmptyPattern textPattern()

### namedElement

    public static final NonEmptyPattern namedElement(java.util.Map fromNameToElementDefinition,
                                                     Name name)

### namedElement

    public static final NonEmptyPattern namedElement(java.util.Map fromNameToElementDefinition,
                                                     Name name,
                                                     boolean isRepeatable)

### choiceFromNames

    public static final NonEmptyPattern choiceFromNames(java.util.Map fromNameToElementDefinition,
                                                        java.util.Set names)

### choiceFromNames

    public static final NonEmptyPattern choiceFromNames(java.util.Map fromNameToElementDefinition,
                                                        java.util.Set names,
                                                        boolean isOptional)

### choiceFromRepeatableNames

    public static final NonEmptyPattern choiceFromRepeatableNames(java.util.Map fromNameToElementDefinition,
                                                                  java.util.Map fromNameToRepeatable)

### choiceFromRepeatableNames

    public static final NonEmptyPattern choiceFromRepeatableNames(java.util.Map fromNameToElementDefinition,
                                                                  java.util.Map fromNameToRepeatable,
                                                                  boolean isOptional)

### choice

    public static final NonEmptyPattern choice(NonEmptyPattern[] patterns,
                                               boolean isOptional)

### group

    public static final NonEmptyPattern group(NonEmptyPattern[] patterns)

### interleave

    public static final NonEmptyPattern interleave(NonEmptyPattern[] patterns)

### namedAttribute

    public static final NonEmptyPattern namedAttribute(Name attributeName)

### namedAttribute

    public static final NonEmptyPattern namedAttribute(Name attributeName,
                                                       boolean isOptional)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD